diff bin/delquote @ 9075:c989a1669243

<fizzie> revert 58b9ee8f97a7
author HackBot
date Sun, 25 Sep 2016 20:31:46 +0000
parents 56dcce63901b
children bd76992a2fec
line wrap: on
line diff
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/bin/delquote	Sun Sep 25 20:31:46 2016 +0000
@@ -0,0 +1,9 @@
+#!/bin/sh
+id=$1
+expr "$1" + 0 >/dev/null 2>&1 || exit 1
+head -n $((id-1)) quotes >quotes.new
+tail -n +$((id+1)) quotes >>quotes.new
+diff quotes quotes.new >/dev/null && exit 1
+printf "*poof*%s" "$(quote $id | cut -d')' -f2-)"
+mv quotes.new quotes
+